#ifndef ALEA_INCLUDED
#define ALEA_INCLUDED
#include <cstdlib>
#include <vector>

#define SEED  0xDEAD

using namespace std;


struct Evenement
{
    int valeur;
    double probabilite;

    Evenement(int valeur, double probabilite)
    : valeur(valeur), probabilite(probabilite) {}    
};

int Aleatoire(int min, int max);
int Bernouilli(double a, double b);

int Choisir(vector<Evenement> serie);


#endif /* ALEA_INCLUDED */
